<DL>
<P><DT><STRONG>FILELIST</STRONG><DD>The name of the list of URLs and weights to be used for testing.  Defaults to <STRONG>$WEBSTONEROOT/conf/filelist</STRONG>.  To follow the WebStone 2.5 standard run rules, copy <STRONG>$WEBSTONEROOT/conf/filelist.standard</STRONG> to this name.
</DD>
<P><DT><STRONG>CLIENTOS</STRONG><DD>Tell <STRONG>runbench</STRONG> whether the client systems are running Unix (<STRONG>UNIX</STRONG>) or Windows NT (<STRONG>WIN32</STRONG>) Defaults to <STRONG>UNIX</STRONG>.
</DD>
<P><DT><STRONG>ITERATIONS</STRONG><DD>How many times to repeat this set of runs.
</DD>
<P><DT><STRONG>MINCLIENTS</STRONG><DD>Start running this many client processes.  Set to 20 to follow the WebStone 2.5 standard run rules.
</DD>
<P><DT><STRONG>MAXCLIENTS</STRONG><DD>Stop doing runs after we run with this many client processes.  Set to 100 to follow the WebStone 2.5 standard run rules.
</DD>
<P><DT><STRONG>CLIENTINCR</STRONG><DD>Increment by this many client processes for each run.  Set to 10 to follow the WebStone 2.5 standard run rules.
</DD>
<P><DT><STRONG>TIMEPERRUN</STRONG><DD>Length of each run, in minutes.  Set to 10 to follow the WebStone 2.5 standard run rules.
</DD>
<P><DT><STRONG>PROXYSERVER</STRONG><DD>Set this to test through a proxy server.  Not set, by default.
</DD>
<P><DT><STRONG>SERVER</STRONG><DD>Host name or host part of the Internet number for the Web server system.
</DD>
<P><DT><STRONG>PORTNO</STRONG><DD>Port number  on the server system where the Web server to be tested is listening.  Defaults to 80.
</DD>
<P><DT><STRONG>SERVERINFO</STRONG><DD>Command to run, with <STRONG>$RSH</STRONG>, on the server system to record the server system configuration.
</DD>
<P><DT><STRONG>OSTUNINGFILES</STRONG><DD>A space-separated list of configuration files that <STRONG>runbench</STRONG> will copy using <STRONG>$RCP</STRONG> to record the server's system configuration.
</DD>
<P><DT><STRONG>WEBDOCDIR</STRONG><DD>The location for the WebStone data files, on the server to be benchmarked.  Used by the <STRONG>genfiles</STRONG> program, not by <STRONG>runbench,</STRONG> to install the files.
</DD>
<P><DT><STRONG>WEBSERVERTUNINGFILES</STRONG><DD>A space-separated list of configuration files that <STRONG>runbench</STRONG> will copy using <STRONG>$RCP</STRONG> to record the Web server configuration.
</DD>
<P><DT><STRONG>CLIENTS</STRONG><DD>A space-separated list of the names of the systems on which <STRONG>runbench</STRONG> will rexec <STRONG>webclient</STRONG> processes.
</DD>
<P><DT><STRONG>CLIENTACCOUNT</STRONG><DD>The name of the test user on a client system.
</DD>
<P><DT><STRONG>CLIENTPASSWORD</STRONG><DD>The password of the test user on a client system.
</DD>
<P><DT><STRONG>CLIENTINFO</STRONG><DD> A command to be executed on a client system, via <STRONG>$RSH</STRONG>, to identify and characterize the client(s).
</DD>
<P><DT><STRONG>RCP</STRONG><DD>The name of the program to be used by <STRONG>runbench</STRONG> to copy files to and from remote systems on the network.  If <STRONG>$RCP</STRONG> is not set, <STRONG>runbench</STRONG> doesn't try to copy remote files to save the test configuration.
</DD>
<P><DT><STRONG>RSH</STRONG><DD>The name of the program to be used by <STRONG>runbench</STRONG> to execute commands on remote systems on the network.  If <STRONG>$RSH</STRONG> is not set, <STRONG>runbench</STRONG> doesn't try to execute remote commands to save the test configuration.
</DD>
<P><DT><STRONG>CLIENTPROGFILE</STRONG><DD>The full path of the <STRONG>webclient</STRONG> program on the client machines.
</DD>
</DL>
